org.jboss.classfilewriter.code

## Class LookupSwitchBuilder.ValuePair

- java.lang.Object
- - org.jboss.classfilewriter.code.LookupSwitchBuilder.ValuePair

All Implemented Interfaces:
  Comparable<LookupSwitchBuilder.ValuePair>

Enclosing class:
  LookupSwitchBuilder

    public static class LookupSwitchBuilder.ValuePair
    extends Object
    implements Comparable<LookupSwitchBuilder.ValuePair>

### Constructor Summary

Constructors
Constructor and Description
`LookupSwitchBuilder.ValuePair(int value, AtomicReference<BranchEnd> branchEnd)`
`LookupSwitchBuilder.ValuePair(int value, CodeLocation location)`

### Method Summary

Methods
`int` `compareTo(LookupSwitchBuilder.ValuePair o)`
`AtomicReference<BranchEnd>` `getBranchEnd()`
`CodeLocation` `getLocation()`
`int` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LookupSwitchBuilder.ValuePair

    public LookupSwitchBuilder.ValuePair(int value,
                                 AtomicReference<BranchEnd> branchEnd)

#### LookupSwitchBuilder.ValuePair

    public LookupSwitchBuilder.ValuePair(int value,
                                 CodeLocation location)

### Method Detail

#### compareTo

    public int compareTo(LookupSwitchBuilder.ValuePair o)

Specified by:
  `compareTo` in interface `Comparable<LookupSwitchBuilder.ValuePair>`

#### getValue

    public int getValue()

#### getLocation

    public CodeLocation getLocation()

#### getBranchEnd

    public AtomicReference<BranchEnd> getBranchEnd()